/* Copyright (c) 2002 Petr Bilek
   Tento kod je volne programove vybaveni; muzete jej sirit a modifikovat
podle ustanoveni Obecne verejne licenese GNU, vydavane FreeSoftware Foundation.
Na tento program se nevztahuji ZADNE ZARUKY; neposkytuji se ani odvozene zaruky
PRODEJNSTI anebo VHODNOSTI PRO URCITY UCEL. */
/* soubor secti_znaky.c */

#include "struktury.h"
#include "lib.h"

unsigned int hodnota_znaku(char znak)
{
    int i;
    char dva[] = { '!', '?', ':', '"', '%', '/', '(', '', ';', '_' };
    char tri[] = { '', '', '', '', '', '', '', '', '' };
    char ctyri[] = { '', '', '', '', '', '', '', '', '' };

    if ((znak >= 'A' && znak <= 'Z') || (znak >= '0' && znak <= '9')) {
        return 2;
    }

    for (i = 0; i < (int) (sizeof(dva) / sizeof(char)); i++)
        if (znak == dva[i]) {
            return 2;
        }
    for (i = 0; i < (int) (sizeof(tri) / sizeof(char)); i++)
        if (znak == tri[i])
            return 3;

    for (i = 0; i < (int) (sizeof(ctyri) / sizeof(char)); i++)
        if (znak == ctyri[i])
            return 4;

    return 1;
}

unsigned int secti_znaky(char *radek)
{
    unsigned int delka, i;

    i = delka = 0;
    do {
        delka += hodnota_znaku(radek[i]);
    }
    while (radek[++i] != '\0');

    return delka;
}
