#!/bin/bash
#

if [ "$KONTROLA" != "OK" ]
then
echo "Tento skript je spousten automaticky, nezkousejte jej spustit sami."
exit 0
fi

echo "# Tento soubor je generovan pomoci skriptu configure !" > Makefile
echo " " >> Makefile
echo "CC=${CC}" >> Makefile
echo "CFLAGS= -O2 ${MAKRO1} ${MAKRO2} ${MAKRO4} ${MAKROPROFI} ${MAKROWALL}"  >> Makefile
echo "RADEKTESTU=${MAKRO3}" >> Makefile
echo "PROG=${NAZEV1}" >> Makefile
echo "FLOPPY=${FLOPPY}" >> Makefile
echo " " >> Makefile

cat mfile.dat >> Makefile

#vytvareni install

cat >> Makefile << GENMAKEFILE
install:
	@ echo "Instaluji program ..."; \\
	if [ "$JMENO_ADR_INST" != \`pwd\` ];\\
	then\\
	  if\\
	      mkdir -m 755 -p $JMENO_ADR_INST; \\
	      ! cp $NAZEV1 $JMENO_ADR_INST; \\
	    then \\
		 echo "Chyba cp $NAZEV1 $JMENO_ADR_INST !" \\
		 exit 1; \\
	  fi;\\
	  chmod o+x ${JMENO_ADR_INST}/$NAZEV1; \\
	  if [ -L "$JMENO_ADR_INST/psani" ];\\
	  then\\
	    rm -f $JMENO_ADR_INST/psani;\\
	   fi;\\
      chmod +x ./make-psani.sh;\\
      ./make-psani.sh;\\
	fi

	 @ - cp ${UNINSTALL} ${JMENO_ADR_INST}; \\
	 chmod o+x,o+r ${JMENO_ADR_INST}/${UNINSTALL};

	@ mkdir -m 755 -p ${JMENO_ADR_LaT}/${NAZEV0}/${LVERA} && \\
	mkdir -m 755 -p ${JMENO_ADR_LaT}/${NAZEV0}/${LVERA}/lekce && \\
	mkdir -m 755 -p ${JMENO_ADR_LaT}/${NAZEV0}/${LVERA}/testy && \\
	mkdir -m 755 -p ${JMENO_ADR_LaT}/${NAZEV0}/${LVERA}/napoveda && \\
	tar xf lekce.tar && \\
	tar xf testy.tar && \\
	mv lekce/* ${JMENO_ADR_LaT}/${NAZEV0}/${LVERA}/lekce/ && \\
	chmod 644 ${JMENO_ADR_LaT}/${NAZEV0}/${LVERA}/lekce/* && \\
	rmdir lekce && \\
	mv testy/* ${JMENO_ADR_LaT}/${NAZEV0}/${LVERA}/testy/ && \\
	chmod 644 ${JMENO_ADR_LaT}/${NAZEV0}/${LVERA}/testy/* && \\
	rmdir testy && \\
	cp napoveda/* ${JMENO_ADR_LaT}/${NAZEV0}/${LVERA}/napoveda/ && \\
	chmod 644 ${JMENO_ADR_LaT}/${NAZEV0}/${LVERA}/napoveda/*

GENMAKEFILE

# manualove stranky

cat >> Makefile << GENMAKEFILE
	@ echo Instaluji dokumentaci ...
	@ mkdir -m 755 -p ${JMENO_ADR_MAN}
	@ cp -r man/* ${JMENO_ADR_MAN}
GENMAKEFILE
cd  man
for i in `find . -path "*.svn" -prune  -o -type f -print`
   do 
    echo -e "\t@ chmod g+r,o+r ${JMENO_ADR_MAN}/$i" >> ../Makefile
   done
cd -
